var $ = $ || {};
function ajaxError(jqXHR, textStatus, errorThrown) {
    var msg = "";
    msg += "Status: " + textStatus + "\n";
    msg += "Error: " + errorThrown + "\n";

    var response = $.parseJSON(jqXHR.responseText);
    for (var i in response) {
        msg += i;
        msg += ": ";
        msg += response[i].replace("\\r\\n", "\n\t");
        msg += "\n";
    }

    try {
        console.log(msg);
    } catch (e) { }
    
    alert(msg);
}

function chamarAjax(o) {
    if (typeof (o) === "undefined" || o === null) {
        return;
    }

    if (typeof (o.url) === "undefined" || o.url === null || o.url.length == 0) {
        return;
    }

    if (typeof (o.done) !== "function" || o.done === null) {
        o.done = function () {
            LoadingOff();
        };
    }
    $.ajax({
        url: o.url,
        data: o.params,
        beforeSend: o.beforeSend,
        error: o.error,
        success: o.sucess
    }).done(o.done);
}